Browse code

- fixed a few install issues - added install for the man pages - added debian package build info

Andrei Pelinescu-Onciul authored on 16/07/2002 15:06:05
Showing 24 changed files
... ...
@@ -22,8 +22,10 @@ DEFS+=$(static_defs)
22 22
 modules=$(filter-out $(addprefix modules/, \
23 23
 			$(exclude_modules) $(static_modules)), \
24 24
 			$(wildcard modules/*))
25
-modules_names=$(patsubst modules/%/, %.so, $(modules))
26
-modules_full_path=$(join $(modules), $(modules_names))
25
+modules_names=$(shell echo $(modules)| \
26
+				sed -e 's/modules\/\([^/ ]*\)\/*/\1.so/g' )
27
+#modules_names=$(patsubst modules/%, %.so, $(modules))
28
+modules_full_path=$(join  $(modules), $(addprefix /, $(modules_names)))
27 29
 
28 30
 NAME=ser
29 31
 
... ...
@@ -87,11 +89,12 @@ tar: mantainer-clean
87 87
 
88 88
 
89 89
 install: all mk-install-dirs install-cfg install-bin install-modules \
90
-	install-doc
90
+	install-doc install-man
91 91
 
92 92
 
93 93
 mk-install-dirs: $(cfg-prefix)/$(cfg-dir) $(bin-prefix)/$(bin-dir) \
94
-			$(modules-prefix)/$(modules-dir) $(doc-prefix)/$(doc-dir)
94
+			$(modules-prefix)/$(modules-dir) $(doc-prefix)/$(doc-dir) \
95
+			$(man-prefix)/$(man-dir)/man8 $(man-prefix)/$(man-dir)/man5
95 96
 
96 97
 $(cfg-prefix)/$(cfg-dir): 
97 98
 		mkdir -p $(cfg-prefix)/$(cfg-dir)
... ...
@@ -106,6 +109,11 @@ $(modules-prefix)/$(modules-dir):
106 106
 $(doc-prefix)/$(doc-dir):
107 107
 		mkdir -p $(doc-prefix)/$(doc-dir)
108 108
 
109
+$(man-prefix)/$(man-dir)/man8:
110
+		mkdir -p $(man-prefix)/$(man-dir)/man8
111
+
112
+$(man-prefix)/$(man-dir)/man5:
113
+		mkdir -p $(man-prefix)/$(man-dir)/man5
109 114
 
110 115
 install-cfg:
111 116
 		$(INSTALL-CFG) ser.cfg $(cfg-prefix)/$(cfg-dir)
... ...
@@ -125,4 +133,7 @@ install-modules:
125 125
 install-doc:
126 126
 	$(INSTALL-DOC) README $(doc-prefix)/$(doc-dir)
127 127
 
128
+install-man:
129
+	$(INSTALL-MAN)  ser.8 $(man-prefix)/$(man-dir)/man8
130
+	$(INSTALL-MAN)  ser.cfg.5 $(man-prefix)/$(man-dir)/man5
128 131
 
... ...
@@ -19,18 +19,21 @@ cfg-prefix = $(prefix)
19 19
 bin-prefix = $(prefix)
20 20
 modules-prefix= $(prefix)
21 21
 doc-prefix = $(prefix)
22
+man-prefix = $(prefix)
22 23
 
23 24
 # dirs
24 25
 cfg-dir = etc/ser/
25 26
 bin-dir = sbin/
26 27
 modules-dir = lib/ser/modules/
27
-doc-dir = doc/ser/
28
+doc-dir = share/doc/ser/
29
+man-dir = share/man/
28 30
 
29 31
 INSTALL = install 
30 32
 INSTALL-CFG = $(INSTALL) -m 644
31 33
 INSTALL-BIN = $(INSTALL) -m 755
32 34
 INSTALL-MODULES = $(INSTALL) -m 755
33 35
 INSTALL-DOC = $(INSTALL) -m 644
36
+INSTALL-MAN = $(INSTALL) -m 644
34 37
 
35 38
 
36 39
 # compile-time options
37 40
new file mode 100644
... ...
@@ -0,0 +1,6 @@
0
+ser for Debian
1
+--------------------
2
+
3
+ - experimental version (under construction)
4
+
5
+ -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>, Tue, 16 Jul 2002 15:41:31 +0200
0 6
new file mode 100644
... ...
@@ -0,0 +1,6 @@
0
+ser (0.8.7.6-1) unstable; urgency=low
1
+
2
+  * Initial Release.
3
+
4
+ -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Tue, 16 Jul 2002 15:41:31 +0200
5
+
0 6
new file mode 100644
... ...
@@ -0,0 +1 @@
0
+/etc/ser/ser.cfg
0 1
new file mode 100644
... ...
@@ -0,0 +1,12 @@
0
+Source: ser
1
+Section: net
2
+Priority: optional
3
+Maintainer: Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>
4
+Build-Depends: debhelper (>> 3.0.0)
5
+Standards-Version: 3.5.2
6
+
7
+Package: ser
8
+Architecture: any
9
+Depends: ${shlibs:Depends}
10
+Description: Sip Express Router, very fast and configurable SIP proxy
11
+ ser or Sip Express Router is a very fast and configurable SIP proxy.
0 12
new file mode 100644
... ...
@@ -0,0 +1,13 @@
0
+This package was debianized by Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de> on
1
+Tue, 16 Jul 2002 15:41:31 +0200.
2
+
3
+It was downloaded from 
4
+
5
+Upstream Author(s): Andrei Pelinescu - Onciul <pelinescu-onciul@fokus.gmd.de>, Bogdan Iancu <iancu@fokus.gmd.de>, Jan Janak <J.Janak@sh.cvut.cz>, Jiri Kuthan <jiri@iptel.org> 
6
+
7
+This software is copyright (c) 2002-2003 by Fhg Fokus
8
+
9
+You are free to distribute this software under the terms of
10
+the GNU General Public License.
11
+On Debian systems, the complete text of the GNU General Public
12
+License can be found in the file `/usr/share/common-licenses/GPL�.
0 13
new file mode 100644
... ...
@@ -0,0 +1,4 @@
0
+#
1
+# Regular cron jobs for the ser-0.8.7 package
2
+#
3
+0 4	* * *	root	ser-0.8.7_maintenance
0 4
new file mode 100644
... ...
@@ -0,0 +1,2 @@
0
+usr/bin
1
+usr/sbin
0 2
new file mode 100644
... ...
@@ -0,0 +1,2 @@
0
+README
1
+TODO
0 2
new file mode 100644
... ...
@@ -0,0 +1,22 @@
0
+Document: ser-0.8.7
1
+Title: Debian ser-0.8.7 Manual
2
+Author: <insert document author here>
3
+Abstract: This manual describes what ser-0.8.7 is
4
+ and how it can be used to
5
+ manage online manuals on Debian systems.
6
+Section: unknown
7
+
8
+Format: debiandoc-sgml
9
+Files: /usr/share/doc/ser-0.8.7/ser-0.8.7.sgml.gz
10
+
11
+Format: postscript
12
+Files: /usr/share/doc/ser-0.8.7/ser-0.8.7.ps.gz
13
+
14
+Format: text
15
+Files: /usr/share/doc/ser-0.8.7/ser-0.8.7.text.gz
16
+
17
+Format: HTML
18
+Index: /usr/share/doc/ser-0.8.7/html/index.html
19
+Files: /usr/share/doc/ser-0.8.7/html/*.html
20
+
21
+  
0 22
new file mode 100644
... ...
@@ -0,0 +1 @@
0
+ser_0.8.7.6-1_i386.deb net optional
0 1
new file mode 100644
... ...
@@ -0,0 +1,70 @@
0
+#! /bin/sh
1
+#
2
+# skeleton	example file to build /etc/init.d/ scripts.
3
+#		This file should be used to construct scripts for /etc/init.d.
4
+#
5
+#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
6
+#		Modified for Debian GNU/Linux
7
+#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
8
+#
9
+# Version:	@(#)skeleton  1.8  03-Mar-1998  miquels@cistron.nl
10
+#
11
+# This file was automatically customized by dh-make on Tue, 16 Jul 2002 15:41:31 +0200
12
+
13
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
14
+DAEMON=/usr/sbin/ser
15
+NAME=ser
16
+DESC=ser
17
+
18
+test -f $DAEMON || exit 0
19
+
20
+set -e
21
+
22
+case "$1" in
23
+  start)
24
+	echo -n "Starting $DESC: $NAME"
25
+	start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
26
+		--exec $DAEMON
27
+	echo "."
28
+	;;
29
+  stop)
30
+	echo -n "Stopping $DESC: $NAME"
31
+	start-stop-daemon --oknodo --stop --quiet --pidfile /var/run/$NAME.pid \
32
+		--exec $DAEMON
33
+	echo "."
34
+	;;
35
+  #reload)
36
+	#
37
+	#	If the daemon can reload its config files on the fly
38
+	#	for example by sending it SIGHUP, do it here.
39
+	#
40
+	#	If the daemon responds to changes in its config file
41
+	#	directly anyway, make this a do-nothing entry.
42
+	#
43
+	# echo "Reloading $DESC configuration files."
44
+	# start-stop-daemon --stop --signal 1 --quiet --pidfile \
45
+	#	/var/run/$NAME.pid --exec $DAEMON
46
+  #;;
47
+  restart|force-reload)
48
+	#
49
+	#	If the "reload" option is implemented, move the "force-reload"
50
+	#	option to the "reload" entry above. If not, "force-reload" is
51
+	#	just the same as "restart".
52
+	#
53
+	echo -n "Restarting $DESC: $NAME"
54
+	start-stop-daemon --stop --quiet --pidfile \
55
+		/var/run/$NAME.pid --exec $DAEMON
56
+	sleep 1
57
+	start-stop-daemon --start --quiet --pidfile \
58
+		/var/run/$NAME.pid --exec $DAEMON
59
+	echo "."
60
+	;;
61
+  *)
62
+	N=/etc/init.d/$NAME
63
+	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
64
+	echo "Usage: $N {start|stop|restart|force-reload}" >&2
65
+	exit 1
66
+	;;
67
+esac
68
+
69
+exit 0
0 70
new file mode 100644
... ...
@@ -0,0 +1,60 @@
0
+.\"                                      Hey, EMACS: -*- nroff -*-
1
+.\" First parameter, NAME, should be all caps
2
+.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
3
+.\" other parameters are allowed: see man(7), man(1)
4
+.TH SER-0.8.7 SECTION "July 16, 2002"
5
+.\" Please adjust this date whenever revising the manpage.
6
+.\"
7
+.\" Some roff macros, for reference:
8
+.\" .nh        disable hyphenation
9
+.\" .hy        enable hyphenation
10
+.\" .ad l      left justify
11
+.\" .ad b      justify to both left and right margins
12
+.\" .nf        disable filling
13
+.\" .fi        enable filling
14
+.\" .br        insert line break
15
+.\" .sp <n>    insert n+1 empty lines
16
+.\" for manpage-specific macros, see man(7)
17
+.SH NAME
18
+ser-0.8.7 \- program to do something
19
+.SH SYNOPSIS
20
+.B ser-0.8.7
21
+.RI [ options ] " files" ...
22
+.br
23
+.B bar
24
+.RI [ options ] " files" ...
25
+.SH DESCRIPTION
26
+This manual page documents briefly the
27
+.B ser-0.8.7
28
+and
29
+.B bar
30
+commands.
31
+This manual page was written for the Debian distribution
32
+because the original program does not have a manual page.
33
+Instead, it has documentation in the GNU Info format; see below.
34
+.PP
35
+.\" TeX users may be more comfortable with the \fB<whatever>\fP and
36
+.\" \fI<whatever>\fP escape sequences to invode bold face and italics, 
37
+.\" respectively.
38
+\fBser-0.8.7\fP is a program that...
39
+.SH OPTIONS
40
+These programs follow the usual GNU command line syntax, with long
41
+options starting with two dashes (`-').
42
+A summary of options is included below.
43
+For a complete description, see the Info files.
44
+.TP
45
+.B \-h, \-\-help
46
+Show summary of options.
47
+.TP
48
+.B \-v, \-\-version
49
+Show version of program.
50
+.SH SEE ALSO
51
+.BR bar (1),
52
+.BR baz (1).
53
+.br
54
+The programs are documented fully by
55
+.IR "The Rise and Fall of a Fooish Bar" ,
56
+available via the Info system.
57
+.SH AUTHOR
58
+This manual page was written by Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>,
59
+for the Debian GNU/Linux system (but may be used by others).
0 60
new file mode 100644
... ...
@@ -0,0 +1,152 @@
0
+<!doctype refentry PUBLIC "-//OASIS//DTD DocBook V4.1//EN" [
1
+
2
+<!-- Process this file with docbook-to-man to generate an nroff manual
3
+     page: `docbook-to-man manpage.sgml > manpage.1'.  You may view
4
+     the manual page with: `docbook-to-man manpage.sgml | nroff -man |
5
+     less'.  A typical entry in a Makefile or Makefile.am is:
6
+
7
+manpage.1: manpage.sgml
8
+	docbook-to-man $< > $@
9
+
10
+    
11
+	The docbook-to-man binary is found in the docbook-to-man package.
12
+	Please remember that if you create the nroff version in one of the
13
+	debian/rules file targets (such as build), you will need to include
14
+	docbook-to-man in your Build-Depends control field.
15
+
16
+  -->
17
+
18
+  <!-- Fill in your name for FIRSTNAME and SURNAME. -->
19
+  <!ENTITY dhfirstname "<firstname>FIRSTNAME</firstname>">
20
+  <!ENTITY dhsurname   "<surname>SURNAME</surname>">
21
+  <!-- Please adjust the date whenever revising the manpage. -->
22
+  <!ENTITY dhdate      "<date>July 16, 2002</date>">
23
+  <!-- SECTION should be 1-8, maybe w/ subsection other parameters are
24
+       allowed: see man(7), man(1). -->
25
+  <!ENTITY dhsection   "<manvolnum>SECTION</manvolnum>">
26
+  <!ENTITY dhemail     "<email>pelinescu-onciul@fokus.gmd.de</email>">
27
+  <!ENTITY dhusername  "Andrei Pelinescu-Onciul">
28
+  <!ENTITY dhucpackage "<refentrytitle>SER-0.8.7</refentrytitle>">
29
+  <!ENTITY dhpackage   "ser-0.8.7">
30
+
31
+  <!ENTITY debian      "<productname>Debian</productname>">
32
+  <!ENTITY gnu         "<acronym>GNU</acronym>">
33
+]>
34
+
35
+<refentry>
36
+  <refentryinfo>
37
+    <address>
38
+      &dhemail;
39
+    </address>
40
+    <author>
41
+      &dhfirstname;
42
+      &dhsurname;
43
+    </author>
44
+    <copyright>
45
+      <year>2002</year>
46
+      <holder>&dhusername;</holder>
47
+    </copyright>
48
+    &dhdate;
49
+  </refentryinfo>
50
+  <refmeta>
51
+    &dhucpackage;
52
+
53
+    &dhsection;
54
+  </refmeta>
55
+  <refnamediv>
56
+    <refname>&dhpackage;</refname>
57
+
58
+    <refpurpose>program to do something</refpurpose>
59
+  </refnamediv>
60
+  <refsynopsisdiv>
61
+    <cmdsynopsis>
62
+      <command>&dhpackage;</command>
63
+
64
+      <arg><option>-e <replaceable>this</replaceable></option></arg>
65
+
66
+      <arg><option>--example <replaceable>that</replaceable></option></arg>
67
+    </cmdsynopsis>
68
+  </refsynopsisdiv>
69
+  <refsect1>
70
+    <title>DESCRIPTION</title>
71
+
72
+    <para>This manual page documents briefly the
73
+      <command>&dhpackage;</command> and <command>bar</command>
74
+      commands.</para>
75
+
76
+    <para>This manual page was written for the &debian; distribution
77
+      because the original program does not have a manual page.
78
+      Instead, it has documentation in the &gnu;
79
+      <application>Info</application> format; see below.</para>
80
+
81
+    <para><command>&dhpackage;</command> is a program that...</para>
82
+
83
+  </refsect1>
84
+  <refsect1>
85
+    <title>OPTIONS</title>
86
+
87
+    <para>These programs follow the usual GNU command line syntax,
88
+      with long options starting with two dashes (`-').  A summary of
89
+      options is included below.  For a complete description, see the
90
+      <application>Info</application> files.</para>
91
+
92
+    <variablelist>
93
+      <varlistentry>
94
+        <term><option>-h</option>
95
+          <option>--help</option>
96
+        </term>
97
+        <listitem>
98
+          <para>Show summary of options.</para>
99
+        </listitem>
100
+      </varlistentry>
101
+      <varlistentry>
102
+        <term><option>-v</option>
103
+          <option>--version</option>
104
+        </term>
105
+        <listitem>
106
+          <para>Show version of program.</para>
107
+        </listitem>
108
+      </varlistentry>
109
+    </variablelist>
110
+  </refsect1>
111
+  <refsect1>
112
+    <title>SEE ALSO</title>
113
+
114
+    <para>bar (1), baz (1).</para>
115
+
116
+    <para>The programs are documented fully by <citetitle>The Rise and
117
+      Fall of a Fooish Bar</citetitle> available via the
118
+      <application>Info</application> system.</para>
119
+  </refsect1>
120
+  <refsect1>
121
+    <title>AUTHOR</title>
122
+
123
+    <para>This manual page was written by &dhusername; &dhemail; for
124
+      the &debian; system (but may be used by others).  Permission is
125
+      granted to copy, distribute and/or modify this document under
126
+      the terms of the <acronym>GNU</acronym> Free Documentation
127
+      License, Version 1.1 or any later version published by the Free
128
+      Software Foundation; with no Invariant Sections, no Front-Cover
129
+      Texts and no Back-Cover Texts.</para>
130
+
131
+  </refsect1>
132
+</refentry>
133
+
134
+<!-- Keep this comment at the end of the file
135
+Local variables:
136
+mode: sgml
137
+sgml-omittag:t
138
+sgml-shorttag:t
139
+sgml-minimize-attributes:nil
140
+sgml-always-quote-attributes:t
141
+sgml-indent-step:2
142
+sgml-indent-data:t
143
+sgml-parent-document:nil
144
+sgml-default-dtd-file:nil
145
+sgml-exposed-tags:nil
146
+sgml-local-catalogs:nil
147
+sgml-local-ecat-files:nil
148
+End:
149
+-->
150
+
151
+
0 152
new file mode 100644
... ...
@@ -0,0 +1,48 @@
0
+#! /bin/sh
1
+# postinst script for ser-0.8.7
2
+#
3
+# see: dh_installdeb(1)
4
+
5
+set -e
6
+
7
+# summary of how this script can be called:
8
+#        * <postinst> `configure' <most-recently-configured-version>
9
+#        * <old-postinst> `abort-upgrade' <new version>
10
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
11
+#          <new-version>
12
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
13
+#          <failed-install-package> <version> `removing'
14
+#          <conflicting-package> <version>
15
+# for details, see http://www.debian.org/doc/debian-policy/ or
16
+# the debian-policy package
17
+#
18
+# quoting from the policy:
19
+#     Any necessary prompting should almost always be confined to the
20
+#     post-installation script, and should be protected with a conditional
21
+#     so that unnecessary prompting doesn't happen if a package's
22
+#     installation fails and the `postinst' is called with `abort-upgrade',
23
+#     `abort-remove' or `abort-deconfigure'.
24
+
25
+case "$1" in
26
+    configure)
27
+
28
+    ;;
29
+
30
+    abort-upgrade|abort-remove|abort-deconfigure)
31
+
32
+    ;;
33
+
34
+    *)
35
+        echo "postinst called with unknown argument \`$1'" >&2
36
+        exit 1
37
+    ;;
38
+esac
39
+
40
+# dh_installdeb will replace this with shell code automatically
41
+# generated by other debhelper scripts.
42
+
43
+#DEBHELPER#
44
+
45
+exit 0
46
+
47
+
0 48
new file mode 100644
... ...
@@ -0,0 +1,38 @@
0
+#! /bin/sh
1
+# postrm script for ser-0.8.7
2
+#
3
+# see: dh_installdeb(1)
4
+
5
+set -e
6
+
7
+# summary of how this script can be called:
8
+#        * <postrm> `remove'
9
+#        * <postrm> `purge'
10
+#        * <old-postrm> `upgrade' <new-version>
11
+#        * <new-postrm> `failed-upgrade' <old-version>
12
+#        * <new-postrm> `abort-install'
13
+#        * <new-postrm> `abort-install' <old-version>
14
+#        * <new-postrm> `abort-upgrade' <old-version>
15
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
16
+# for details, see http://www.debian.org/doc/debian-policy/ or
17
+# the debian-policy package
18
+
19
+
20
+case "$1" in
21
+       purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
22
+
23
+
24
+        ;;
25
+
26
+    *)
27
+        echo "postrm called with unknown argument \`$1'" >&2
28
+        exit 1
29
+
30
+esac
31
+
32
+# dh_installdeb will replace this with shell code automatically
33
+# generated by other debhelper scripts.
34
+
35
+#DEBHELPER#
36
+
37
+exit 0
0 38
new file mode 100644
... ...
@@ -0,0 +1,44 @@
0
+#! /bin/sh
1
+# preinst script for ser-0.8.7
2
+#
3
+# see: dh_installdeb(1)
4
+
5
+set -e
6
+
7
+# summary of how this script can be called:
8
+#        * <new-preinst> `install'
9
+#        * <new-preinst> `install' <old-version>
10
+#        * <new-preinst> `upgrade' <old-version>
11
+#        * <old-preinst> `abort-upgrade' <new-version>
12
+#
13
+# for details, see http://www.debian.org/doc/debian-policy/ or
14
+# the debian-policy package
15
+
16
+
17
+case "$1" in
18
+    install|upgrade)
19
+#        if [ "$1" = "upgrade" ]
20
+#        then
21
+#            start-stop-daemon --stop --quiet --oknodo  \
22
+#                --pidfile /var/run/ser-0.8.7.pid  \
23
+#                --exec /usr/sbin/ser-0.8.7 2>/dev/null || true
24
+#        fi
25
+    ;;
26
+
27
+    abort-upgrade)
28
+    ;;
29
+
30
+    *)
31
+        echo "preinst called with unknown argument \`$1'" >&2
32
+        exit 1
33
+    ;;
34
+esac
35
+
36
+# dh_installdeb will replace this with shell code automatically
37
+# generated by other debhelper scripts.
38
+
39
+#DEBHELPER#
40
+
41
+exit 0
42
+
43
+
0 44
new file mode 100644
... ...
@@ -0,0 +1,39 @@
0
+#! /bin/sh
1
+# prerm script for ser-0.8.7
2
+#
3
+# see: dh_installdeb(1)
4
+
5
+set -e
6
+
7
+# summary of how this script can be called:
8
+#        * <prerm> `remove'
9
+#        * <old-prerm> `upgrade' <new-version>
10
+#        * <new-prerm> `failed-upgrade' <old-version>
11
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
12
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
13
+#          <package-being-installed> <version> `removing'
14
+#          <conflicting-package> <version>
15
+# for details, see http://www.debian.org/doc/debian-policy/ or
16
+# the debian-policy package
17
+
18
+
19
+case "$1" in
20
+    remove|upgrade|deconfigure)
21
+#       install-info --quiet --remove /usr/info/ser-0.8.7.info.gz
22
+        ;;
23
+    failed-upgrade)
24
+        ;;
25
+    *)
26
+        echo "prerm called with unknown argument \`$1'" >&2
27
+        exit 1
28
+    ;;
29
+esac
30
+
31
+# dh_installdeb will replace this with shell code automatically
32
+# generated by other debhelper scripts.
33
+
34
+#DEBHELPER#
35
+
36
+exit 0
37
+
38
+
0 39
new file mode 100755
... ...
@@ -0,0 +1,99 @@
0
+#!/usr/bin/make -f
1
+# Sample debian/rules that uses debhelper.
2
+# GNU copyright 1997 to 1999 by Joey Hess.
3
+#
4
+# $Id$
5
+
6
+
7
+# Uncomment this to turn on verbose mode.
8
+#export DH_VERBOSE=1
9
+
10
+# This is the debhelper compatibility version to use.
11
+export DH_COMPAT=3
12
+
13
+
14
+
15
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
16
+	CFLAGS += -g
17
+endif
18
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
19
+	INSTALL_PROGRAM += -s
20
+endif
21
+
22
+configure: configure-stamp
23
+configure-stamp:
24
+	dh_testdir
25
+	# Add here commands to configure the package.
26
+
27
+	touch configure-stamp
28
+
29
+
30
+build: build-stamp
31
+
32
+build-stamp: configure-stamp 
33
+	dh_testdir
34
+
35
+	# Add here commands to compile the package.
36
+	$(MAKE) all modules="modules/tm modules/textops modules/print"
37
+	#/usr/bin/docbook-to-man debian/ser.sgml > ser.1
38
+
39
+	touch build-stamp
40
+
41
+clean:
42
+	dh_testdir
43
+	dh_testroot
44
+	rm -f build-stamp configure-stamp
45
+
46
+	# Add here commands to clean up after the build process.
47
+	-$(MAKE) clean
48
+
49
+	dh_clean
50
+
51
+install: build
52
+	dh_testdir
53
+	dh_testroot
54
+	dh_clean -k
55
+	dh_installdirs
56
+
57
+	# Add here commands to install the package into debian/ser
58
+	$(MAKE) install modules="modules/tm modules/textops modules/print" \
59
+		prefix=$(CURDIR)/debian/ser/usr \
60
+		cfg-prefix=$(CURDIR)/debian/ser 
61
+
62
+
63
+# Build architecture-independent files here.
64
+binary-indep: build install
65
+# We have nothing to do by default.
66
+
67
+# Build architecture-dependent files here.
68
+binary-arch: build install
69
+	dh_testdir
70
+	dh_testroot
71
+#	dh_installdebconf	
72
+	dh_installdocs
73
+	dh_installexamples
74
+	dh_installmenu
75
+#	dh_installlogrotate
76
+#	dh_installemacsen
77
+#	dh_installpam
78
+#	dh_installmime
79
+#	dh_installinit
80
+	dh_installcron
81
+	dh_installman
82
+	dh_installinfo
83
+#	dh_undocumented
84
+	dh_installchangelogs 
85
+	dh_link
86
+	dh_strip
87
+	dh_compress
88
+	dh_fixperms
89
+#	dh_makeshlibs
90
+	dh_installdeb
91
+#	dh_perl
92
+	dh_shlibdeps
93
+	dh_gencontrol
94
+	dh_md5sums
95
+	dh_builddeb
96
+
97
+binary: binary-indep binary-arch
98
+.PHONY: build clean binary-indep binary-arch binary install configure
0 99
new file mode 100644
... ...
@@ -0,0 +1,7 @@
0
+# Automatically added by dh_installdocs
1
+if [ "$1" = "configure" ]; then
2
+	if [ -d /usr/doc -a ! -e /usr/doc/ser -a -d /usr/share/doc/ser ]; then
3
+		ln -sf ../share/doc/ser /usr/doc/ser
4
+	fi
5
+fi
6
+# End automatically added section
0 7
new file mode 100644
... ...
@@ -0,0 +1,5 @@
0
+# Automatically added by dh_installdocs
1
+if [ \( "$1" = "upgrade" -o "$1" = "remove" \) -a -L /usr/doc/ser ]; then
2
+	rm -f /usr/doc/ser
3
+fi
4
+# End automatically added section
0 5
new file mode 100644
... ...
@@ -0,0 +1 @@
0
+shlibs:Depends=libc6 (>= 2.2.4-4)
0 1
new file mode 100644
... ...
@@ -0,0 +1,6 @@
0
+# Example watch control file for uscan
1
+# Rename this file to "watch" and then you can run the "uscan" command
2
+# to check for upstream updates and more.
3
+# Site		Directory		Pattern			Version	Script
4
+version=2
5
+sunsite.unc.edu	/pub/Linux/Incoming	ser-0.8.7-(.*)\.tar\.gz	debian	uupdate